#version 330
in vec2 fUVs;

uniform vec2 scale;
uniform sampler2D shadowMap;

vec2 gaussFilter[15] = vec2[]( 
	vec2(-7.0,	0.0088),
	vec2(-6.0,	0.0182),
	vec2(-5.0,	0.0336),
	vec2(-4.0,	0.0553),
	vec2(-3.0,	0.0816),
	vec2(-2.0,	0.1078),
	vec2(-1.0,	0.1273),
	vec2(0.0,	0.1346),
	vec2(1.0,	0.1273),
	vec2(2.0,	0.1078),
	vec2(3.0,	0.0816),
	vec2(4.0,	0.0553),
	vec2(5.0,	0.0336),
	vec2(6.0,	0.0182),
	vec2(7.0,	0.0088)
);

out vec4 fragColor;

void main()
{
	vec3 color = vec3(0.0);
	for( int i = 0; i < 15; i++ )
	{
		vec2 gauss = gaussFilter[i];
		color += texture2D( shadowMap, fUVs + vec2( gauss.x * scale.x * 3, gauss.x * scale.y * 3) ).xyz * gauss.y;
	}

	fragColor = vec4(color, 1.0);
}